"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ayuda_service_1 = require("../../service/ayuda.service");
var forms_1 = require("@angular/forms");
var bit_custom_component_1 = require("./bit-custom.component");
exports.CUSTOM_INPUT_AUTOCOMPLETE_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return BitAutoCompleteComponent; }),
    multi: true
};
var BitAutoCompleteComponent = /** @class */ (function (_super) {
    __extends(BitAutoCompleteComponent, _super);
    function BitAutoCompleteComponent(ayudaService, changeDetectorRef) {
        var _this = _super.call(this, ayudaService, changeDetectorRef) || this;
        _this.ayudaService = ayudaService;
        _this.changeDetectorRef = changeDetectorRef;
        _this.multiple = false;
        _this.completeMethod = new core_1.EventEmitter();
        _this.onSelect = new core_1.EventEmitter();
        return _this;
    }
    BitAutoCompleteComponent.prototype.search = function (event) {
        this.completeMethod.emit(event);
    };
    BitAutoCompleteComponent.prototype.selectValue = function (event) {
        this.onSelect.emit(event);
    };
    BitAutoCompleteComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "bit-autocomplete",
                    template: "\n    <label *ngIf=\"!hideLabel\">\n        <ng-content></ng-content>&nbsp;<span *ngIf=\"obligatorio\" class=\"obligatorio fa fa-asterisk\"></span>&nbsp;&nbsp;\n        <i *ngIf=\"ayuda\" class=\"btn-ayuda fa fa-question\" (click)=\"showAyuda()\"></i>\n    </label>\n    <p *ngIf=\"readOnly\" class=\"lectura\" [id]=\"nombre\">{{value_lectura}}</p>\n    <p-autoComplete \n        *ngIf=\"!readOnly\"\n        [(ngModel)]=\"value\" \n        id=\"{{nombre}}\" \n        name=\"{{nombre}}\" \n        [placeholder]=\"placeholder\"\n        delay=\"400\" \n        [immutable]=\"false\"\n        [suggestions]=\"suggestions\" \n        [field]=\"suggestionField\" \n        [multiple]=\"multiple\"\n        (completeMethod)=\"search($event)\" \n        (onSelect)=\"selectValue($event)\" \n        (blur)=\"onBlur()\" \n        (focus)=\"onFocus()\" \n    ></p-autoComplete>\n    <control-messages *ngIf=\"control != null\" [control]=\"control\" [field]=\"nombre\"></control-messages>\n  ",
                    providers: [exports.CUSTOM_INPUT_AUTOCOMPLETE_CONTROL_VALUE_ACCESSOR]
                },] },
    ];
    /** @nocollapse */
    BitAutoCompleteComponent.ctorParameters = function () { return [
        { type: ayuda_service_1.AyudaService },
        { type: core_1.ChangeDetectorRef }
    ]; };
    BitAutoCompleteComponent.propDecorators = {
        suggestions: [{ type: core_1.Input }],
        suggestionField: [{ type: core_1.Input }],
        multiple: [{ type: core_1.Input }],
        completeMethod: [{ type: core_1.Output }],
        onSelect: [{ type: core_1.Output }]
    };
    return BitAutoCompleteComponent;
}(bit_custom_component_1.BitCustomComponent));
exports.BitAutoCompleteComponent = BitAutoCompleteComponent;
//# sourceMappingURL=bit-autocomplete.component.js.map